# Raumplaner.py

from grafikfenster import *

from schrank import Schrank
from schrankwand import Schrankwand

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        # Allein fuer die Testanwendung:
        global schrankwand,schrank1,schrank2,schrank3
        schrankwand=Schrankwand(sichtbar=True)
        schrank1=Schrank(0,0,60,37,0)
        schrankwand.FuegeHinzu(schrank1)
        schrank2=Schrank(60,0,60,37,0)
        schrankwand.FuegeHinzu(schrank2)
        schrank3=Schrank(120,0,60,37,0)
        schrankwand.FuegeHinzu(schrank3)

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
